/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

/**
 * 
 * @author shengshen
 * 
 */
public class FormDef extends ContainerDef {
	private String url;

	private String submitAuto;

	private String withIframe;

	private String boolWithFenWait;

	private String imgBtonSubmit;

	private String idCont;

	public String getBoolWithFenWait() {
		return boolWithFenWait;
	}

	public void setBoolWithFenWait(String boolWithFenWait) {
		this.boolWithFenWait = boolWithFenWait;
	}

	public String getIdCont() {
		return idCont;
	}

	public void setIdCont(String idCont) {
		this.idCont = idCont;
	}

	public String getImgBtonSubmit() {
		return imgBtonSubmit;
	}

	public void setImgBtonSubmit(String imgBtonSubmit) {
		this.imgBtonSubmit = imgBtonSubmit;
	}

	public String getSubmitAuto() {
		return submitAuto;
	}

	public void setSubmitAuto(String submitAuto) {
		this.submitAuto = submitAuto;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getWithIframe() {
		return withIframe;
	}

	public void setWithIframe(String withIframe) {
		this.withIframe = withIframe;
	}

}
